登陆

无法运行MyWeb,并出现下述提示,麻烦帮忙看看是什么问题?

无法运行MyWeb,并出现下述提示,麻烦帮忙看看是什么问题?

C:\Python33\python.exe "C:\Guo Qiuxia\7. Personal\Learning\Python\MyWeb\web2py/web2py.py"Traceback (most recent call last):  File "C:\Guo Qiuxia\7. Personal\Learning\Python\MyWeb\web2py\gluon\__init__.py", line 31, in import_packages    sys.modules[package] = __import__(package)  File "C:\Guo Qiuxia\7. Personal\Learning\Python\MyWeb\web2py\gluon\packages\dal\pydal\__init__.py", line 3, in <module>    from .base import DAL  File "C:\Guo Qiuxia\7. Personal\Learning\Python\MyWeb\web2py\gluon\packages\dal\pydal\base.py", line 135, in <module>    from ._compat import PY2, pickle, hashlib_md5, pjoin, copyreg, integer_types, \  File "C:\Guo Qiuxia\7. Personal\Learning\Python\MyWeb\web2py\gluon\packages\dal\pydal\_compat.py", line 82, in <module>    from importlib import reloadImportError: cannot import name reload
During handling of the above exception, another exception occurred:
Traceback (most recent call last):  File "C:\Guo Qiuxia\7. Personal\Learning\Python\MyWeb\web2py/web2py.py", line 21, in <module>    import gluon.widget  File "C:\Guo Qiuxia\7. Personal\Learning\Python\MyWeb\web2py\gluon\__init__.py", line 35, in <module>    import_packages()  File "C:\Guo Qiuxia\7. Personal\Learning\Python\MyWeb\web2py\gluon\__init__.py", line 33, in import_packages    raise RuntimeError(MESSAGE % package)RuntimeError: web2py depends on pydal, which apparently you have not installed.Probably you cloned the repository using git without '--recursive'To fix this, please run (from inside your web2py folder):
     git submodule update --init --recursive
You can also download a complete copy from http://www.web2py.com.
Process finished with exit code 1

# Python
紫鸢紫鸢277 天前263 次浏览

全部回复(0)我要回复

暂无评论~
  • 取消回复发送